Delete Loyalty Program Customer
curl --request DELETE \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Delete Loyalty Program Customer
Delete Loyalty Program Customer
Soft-deletes a customer from a loyalty program. The customer document is retained for the GDPR retention period (30 days) before being hard-deleted by the background processor (SWE-376). Related operational data (pass, events) is cleaned up immediately.
Path Parameters:
programId: UUID of the loyalty programcustomerId: UUID of the customer
Returns:
- HTTP 202 Accepted with a deletion timeline (
softDeletedAt,hardDeleteAfter,status).
DELETE
/
v2
/
loyalty
/
programs
/
{programId}
/
customers
/
{customerId}
Delete Loyalty Program Customer
curl --request DELETE \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
